<?php

if ( ! function_exists( 'calla_elated_map_post_quote_meta' ) ) {
	function calla_elated_map_post_quote_meta() {
		$quote_post_format_meta_box = calla_elated_create_meta_box(
			array(
				'scope' => array( 'post' ),
				'title' => esc_html__( 'Quote Post Format', 'calla' ),
				'name'  => 'post_format_quote_meta'
			)
		);
		
		calla_elated_create_meta_box_field(
			array(
				'name'        => 'eltdf_post_quote_text_meta',
				'type'        => 'text',
				'label'       => esc_html__( 'Quote Text', 'calla' ),
				'description' => esc_html__( 'Enter Quote text', 'calla' ),
				'parent'      => $quote_post_format_meta_box
			)
		);
		
		calla_elated_create_meta_box_field(
			array(
				'name'        => 'eltdf_post_quote_author_meta',
				'type'        => 'text',
				'label'       => esc_html__( 'Quote Author', 'calla' ),
				'description' => esc_html__( 'Enter Quote author', 'calla' ),
				'parent'      => $quote_post_format_meta_box
			)
		);
	}
	
	add_action( 'calla_elated_meta_boxes_map', 'calla_elated_map_post_quote_meta', 25 );
}